
import "DhorPlugins.HunterFocus";

-- create the HunterFocus window
HunterFocus = MainWindow();

-- create a new command line command for the HunterFocus window
HunterFocusCommand = Turbine.ShellCommand();

-- handle the HunterFocus commands
function HunterFocusCommand:Execute( command, arguments )
	if ( arguments == "dump" ) then
		HunterFocus:DoDump();
	elseif ( arguments == "lock" ) then
	   HunterFocus:LockWindow();
	elseif ( arguments == "unlock" ) then
	   HunterFocus:UnlockWindow();
	elseif ( arguments ~= nil ) then
		HunterFocusCommand:GetHelp();
	end
end

function HunterFocusCommand:GetHelp()
	Turbine.Shell.WriteLine( helpString );
end

-- add the command to the shell
Turbine.Shell.AddCommand( "HF,Focus", HunterFocusCommand );


